Package org.apache.sling.caconfig.impl.metadata

# Class ConfigurationMetadataProviderMultiplexerImpl

java.lang.Object
org.apache.sling.caconfig.impl.metadata.ConfigurationMetadataProviderMultiplexerImpl

All Implemented Interfaces:
  `ConfigurationMetadataProviderMultiplexer`, `org.apache.sling.caconfig.spi.ConfigurationMetadataProvider`

public class ConfigurationMetadataProviderMultiplexerImpl extends Object implements ConfigurationMetadataProviderMultiplexer
Detects all `ConfigurationMetadataProvider` implementations in the container and consolidates their result based on service ranking.

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationMetadataProviderMultiplexerImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindConfigurationMetadataProvider(org.apache.sling.caconfig.spi.ConfigurationMetadataProvider configurationMetadataProvider, Map<String,Object> props)`
`org.apache.sling.caconfig.spi.metadata.ConfigurationMetadata`
`getConfigurationMetadata(String configName)`
Get configuration metadata from first provider (ranking priority) that has an answer.
`@NotNull SortedSet<String>`
`getConfigurationNames()`
Merge configuration names from all providers.
`protected void`
`unbindConfigurationMetadataProvider(org.apache.sling.caconfig.spi.ConfigurationMetadataProvider configurationMetadataProvider, Map<String,Object> props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationMetadataProviderMultiplexerImpl

public ConfigurationMetadataProviderMultiplexerImpl()

## Method Details

### bindConfigurationMetadataProvider

protected void bindConfigurationMetadataProvider(org.apache.sling.caconfig.spi.ConfigurationMetadataProvider configurationMetadataProvider, Map<String,Object> props)

### unbindConfigurationMetadataProvider

protected void unbindConfigurationMetadataProvider(org.apache.sling.caconfig.spi.ConfigurationMetadataProvider configurationMetadataProvider, Map<String,Object> props)

### getConfigurationNames

@NotNull public @NotNull SortedSet<String> getConfigurationNames()
Merge configuration names from all providers.

Specified by:
  `getConfigurationNames` in interface `org.apache.sling.caconfig.spi.ConfigurationMetadataProvider`

### getConfigurationMetadata

public org.apache.sling.caconfig.spi.metadata.ConfigurationMetadata getConfigurationMetadata(String configName)
Get configuration metadata from first provider (ranking priority) that has an answer.

Specified by:
  `getConfigurationMetadata` in interface `org.apache.sling.caconfig.spi.ConfigurationMetadataProvider`